OpenVDB 11.0.0

Loading...
Searching...
No Matches
NodeManager.h File Reference

This class allows for sequential access to nodes in a NanoVDB tree on both the host and device. More...

`#include <nanovdb/NanoVDB.h>`
`#include "HostBuffer.h"`

Go to the source code of this file.

## Classes
struct | NodeManagerData
class | NodeManagerHandle< BufferT >
| NodeManagerHandle manages the memory of a NodeManager. More...
class | NodeManager< BuildT >
| NodeManager allows for sequential access to nodes. More...

## Namespaces
namespace | nanovdb

## Functions
template<typename BuildT, typename BufferT = HostBuffer>
NodeManagerHandle< BufferT > | createNodeManager (const NanoGrid< BuildT > &grid, const BufferT &buffer=BufferT())
| brief Construct a NodeManager and return its handle

## Detailed Description

This class allows for sequential access to nodes in a NanoVDB tree on both the host and device.

Author
  Ken Museth

Date
  February 12, 2021

The ordering of the sequential access to nodes is always breadth-first!